Booklinker.API

<back to all web services

PostAppleServicesSettingsRequest

Requires Authentication
PostAppleServicesSettingsRequest Parameters:
NameParameterData TypeRequiredDescription
UsernamequerystringNo
UserEmailquerystringNo
PasswordquerystringNo
ApiKeyquerystringNo
PublisherIdquerystringNo
UserApiResponseJsonStringquerystringNo
V2BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /xml/reply/PostAppleServicesSettingsRequest HTTP/1.1 
Host: api.booklinker.com 
Accept: application/xml
Content-Type: application/xml
Content-Length: length

<PostAppleServicesSettingsRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Booklinker.API.ServiceModel.V2.Requests.AppleServices">
  <apiKey>String</apiKey>
  <password>String</password>
  <publisherId>String</publisherId>
  <userApiResponseJsonString>String</userApiResponseJsonString>
  <userEmail>String</userEmail>
  <username>String</username>
</PostAppleServicesSettingsRequest>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<PostAppleServicesSettingsResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Booklinker.API.ServiceModel.V2.Responses.AppleServices">
  <responseStatus xmlns:d2p1="http://schemas.servicestack.net/types" xmlns="http://schemas.datacontract.org/2004/07/Booklinker.API.ServiceModel.V2.Responses">
    <d2p1:ErrorCode>String</d2p1:ErrorCode>
    <d2p1:Message>String</d2p1:Message>
    <d2p1:StackTrace>String</d2p1:StackTrace>
    <d2p1:Errors>
      <d2p1:ResponseError>
        <d2p1:ErrorCode>String</d2p1:ErrorCode>
        <d2p1:FieldName>String</d2p1:FieldName>
        <d2p1:Message>String</d2p1:Message>
        <d2p1:Meta xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:KeyValueOfstringstring>
            <d5p1:Key>String</d5p1:Key>
            <d5p1:Value>String</d5p1:Value>
          </d5p1:KeyValueOfstringstring>
        </d2p1:Meta>
      </d2p1:ResponseError>
    </d2p1:Errors>
    <d2p1:Meta xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>String</d3p1:Key>
        <d3p1:Value>String</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </d2p1:Meta>
  </responseStatus>
</PostAppleServicesSettingsResponse>